# fortios_spamfilter_bwl – Configure anti-spam black/white list in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify spamfilter feature and bwl category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.
spamfilter_bwl dictionary | Default: null | Configure anti-spam black/white list.
| comment string |  | Optional comments.
| entries list |  | Anti-spam black/white list entries.

action
string

Choices:
- reject
- spam
- clear

Reject, mark as spam or good email.

addr_type
string

Choices:
- ipv4
- ipv6

IP address type.

|  | email_pattern string |  | Email address pattern.
|  | id integer / required |  | Entry ID.
|  | ip4_subnet string |  | IPv4 network address/subnet mask bits.
|  | ip6_subnet string |  | IPv6 network address/subnet mask bits.

pattern_type
string

Choices:
- wildcard
- regexp

Wildcard pattern or regular expression.

status
string

Choices:
- enable
- disable

Enable/disable status.

type
string

Choices:
- ip
- email

Entry type.

| id integer / required |  | ID.
| name string |  | Name of table.

ssl_verify
boolean

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

state
string / required

Choices:
- present
- absent

Indicates whether to create or remove the object.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure anti-spam black/white list.
        fortios_spamfilter_bwl:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          spamfilter_bwl:
            comment: "Optional comments."
            entries:
             -
                action: "reject"
                addr_type: "ipv4"
                email_pattern: "<your_own_value>"
                id:  "8"
                ip4_subnet: "<your_own_value>"
                ip6_subnet: "<your_own_value>"
                pattern_type: "wildcard"
                status: "enable"
                type: "ip"
            id:  "14"
            name: "default_name_15"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.